=== examples/CMakeLists.txt ===
SETUP_EXECUTABLE(asteroid)
SETUP_EXECUTABLE(comet)
SETUP_EXECUTABLE(lunar)
SETUP_EXECUTABLE(mars)
SETUP_EXECUTABLE(sun)
SETUP_EXECUTABLE(transforms)

IF(UNIX)
  TARGET_LINK_LIBRARIES(asteroid m)
  TARGET_LINK_LIBRARIES(comet m)
  TARGET_LINK_LIBRARIES(lunar m)
  TARGET_LINK_LIBRARIES(mars m)
  TARGET_LINK_LIBRARIES(sun m)
  TARGET_LINK_LIBRARIES(transforms m)
ENDIF(UNIX)
