=== lntest/CMakeLists.txt ===
SETUP_EXECUTABLE(test)

IF(UNIX)
  TARGET_LINK_LIBRARIES(test m)
ENDIF(UNIX)
