## libnova 0.14.0

=== debian/changelog ===
libnova (0.14.0-2) unstable; urgency=low

  * Team upload. Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Sun, 25 Mar 2012 14:51:22 +0200

libnova (0.14.0-1) experimental; urgency=low

  * Team upload.
  * New upstream release. (Closes: #604411)

  [ Matthew Rosewarne ]
  * Add watch file.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Bump Standards-Version to 3.9.1.
  * Add a final newline to the watch file.
  * Update installed files.

  [ José Manuel Santamaría Lema ]
  * Switch to source format 3.0 (quilt).
  * Bump debhelper compatibility level to 7.
  * Update installed files.
  * Update copyright file.
  * Don't install an uneeded *.la file. (Closes: #621545)

  [ Pino Toscano ]
  * Add Vcs-Browser and Vcs-Git headers in control.
  * Small description changes.
  * Bump Standards-Version to 3.9.3.
  * Switch from cdbs to the dh sequencer:
    - drop build dependency on cdbs
    - bump debhelper build dependency to 7.0.50~
    - run the lntest executable in a non-fatal way, as it fails and it is
      not run as a test by the build system
  * Convert to multi-arch:
    - bump debhelper build dependency to 9
    - bump compat to 9 (this also makes use of dpkg-buildflags)
    - update paths in .install files
    - mark libnova-0.14-0 as Multi-Arch: same
    - make libnova-0.14-0 pre-depend on ${misc:Pre-Depends}
  * Update date/version in libnovaconfig.1.
  * Explicitly remove .la files from debian/tmp, instead of ignore them
    in dh_install.
  * Add my contributions to the copyright file.

  [ Sune Vuorela ]
  * Change my email address to the @debian.org one.

 -- Pino Toscano <pino@debian.org>  Sun, 18 Mar 2012 10:48:52 +0100

libnova (0.12.1-1) unstable; urgency=low

  * Initial release (Closes: #453099)

 -- Sune Vuorela <debian@pusling.com>  Tue, 27 Nov 2007 13:00:34 +0100
