=== debian/control ===
Source: libnova
Section: libs
Priority: optional
Maintainer: Debian Krap Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: debhelper (>= 9), autotools-dev
Standards-Version: 3.9.3
Uploaders: Sune Vuorela <sune@debian.org>
Homepage: http://libnova.sourceforge.net/
Vcs-Git: git://git.debian.org/pkg-kde/krap/libnova.git
Vcs-Browser: http://git.debian.org/?p=pkg-kde/krap/libnova.git

Package: libnova-0.14-0
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: celestial mechanics, astrometry and astrodynamics library
 libnova is a general purpose, double precision, Celestial Mechanics, 
 Astrometry and Astrodynamics library.

Package: libnova-dev
Architecture: any
Section: libdevel
Depends: libnova-0.14-0 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: development files for libnova astronomical library
 libnova is a general purpose, double precision, Celestial Mechanics, 
 Astrometry and Astrodynamics library.
 .
 This package contains the development files.
