## libnova 0.16

=== debian/changelog ===
libnova (0.16-6) unstable; urgency=medium

  * Drop Rules-Requires-Root: no, no more needed since Debian trixie.
  * Use secure URI in Homepage field.
  * Remove inactive Uploaders, adding myself as one to avoid leaving the source
    with no human maintainers.
  * Bump Standards-Version to 4.7.2, no changes required.
  * Use execute_after_dh_auto_test & execute_after_dh_auto_install to avoid
    invoking dh_auto_test & dh_auto_install manually.
  * Remove the unused ${shlibs:Depends} substvar from libnova-dev.
  * Remove no more needed lintian overrides.
  * Drop breaks/replaces for versions older than what is in Debian Bullseye.

 -- Pino Toscano <pino@debian.org>  Sat, 25 Oct 2025 11:43:04 +0200

libnova (0.16-5.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1062485

 -- Benjamin Drung <bdrung@debian.org>  Wed, 28 Feb 2024 14:22:58 +0000

libnova (0.16-5) unstable; urgency=medium

  * Team upload.

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from deprecated 9 to 12.
    + debian/rules: Rely on default use of dh_missing rather than using
      dh_install --list-missing.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Repository.
  * Drop unnecessary dependency on dh-autoreconf.

  [ Pino Toscano ]
  * Add the configuration for the CI on salsa.
  * Simplify install files.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Bump Standards-Version to 4.5.0, no changes required.
  * Add Rules-Requires-Root: no.
  * Bump version of watch file to 4, and use https.
  * Drop the autotools-dev, no more needed.
  * Drop debian/libnovaconfig.1, as it was not installed; it does not provide
    any useful content anyway.
  * Rewrite copyright to copyright-format v1.0, and update.
  * Ship the upstream examples in libnova-dev.

 -- Pino Toscano <pino@debian.org>  Sun, 08 Nov 2020 09:55:47 +0100

libnova (0.16-4) unstable; urgency=medium

  * New revision
  * Fix Breaks/Replaces version (Closes: 920253)
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 23 Jan 2019 09:33:25 -0300

libnova (0.16-3) unstable; urgency=medium

  [ W. Martin Borgert ]
  * Complete Multi-Arch (Closes: #873605).

  [ Maximiliano Curia ]
  * Update Vcs fields
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Tue, 22 Jan 2019 10:41:53 -0300

libnova (0.16-2) unstable; urgency=medium

  * Add new patch: Use-CFLAGS-from-environment.patch.
    Thanks to Simon Ruderich for the patch (Closes: 671462)
  * Update sid version (Closes: 725775)

 -- Maximiliano Curia <maxy@debian.org>  Thu, 27 Oct 2016 10:29:14 +0200

libnova (0.16-1) experimental; urgency=medium

  * New upstream release (0.16).
  * Bump Standards-Version to 3.9.8, no changes needed.
  * Update vcs fields
  * Follow upstream soversion bump
  * Update install files
  * Update copyright information

 -- Maximiliano Curia <maxy@debian.org>  Wed, 19 Oct 2016 18:11:22 +0200

libnova (0.14.0-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Use dh-autoreconf in build to support new architectures (closes: #727419)

 -- Chen Baozi <baozich@gmail.com>  Thu, 05 Jun 2014 20:27:12 +0800
