=== debian/control ===
Source: libnova
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Build-Depends: dpkg-dev (>= 1.22.5), debhelper-compat (= 13)
Standards-Version: 4.7.2
Uploaders: Pino Toscano <pino@debian.org>,
Homepage: https://libnova.sourceforge.net/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/3rdparty/libnova
Vcs-Git: https://salsa.debian.org/qt-kde-team/3rdparty/libnova.git

Package: libnova-0.16-0t64
Provides: ${t64:Provides}
Replaces: libnova-0.16-0
Breaks: libnova-0.16-0 (<< ${source:Version})
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: celestial mechanics, astrometry and astrodynamics library
 libnova is a general purpose, double precision, Celestial Mechanics,
 Astrometry and Astrodynamics library.

Package: libnova-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libnova-0.16-0t64 (= ${binary:Version}),
         libnova-dev-bin (= ${binary:Version}),
         ${misc:Depends},
Description: development files for libnova astronomical library
 libnova is a general purpose, double precision, Celestial Mechanics,
 Astrometry and Astrodynamics library.
 .
 This package contains the development files.

Package: libnova-dev-bin
Architecture: any
Multi-Arch: foreign
Section: libdevel
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: development config tool for libnova astronomical library
 libnova is a general purpose, double precision, Celestial Mechanics,
 Astrometry and Astrodynamics library.
 .
 This package contains the libnovaconfig tool.
