=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

execute_after_dh_auto_test:
	-lntest/lntest

execute_after_dh_auto_install:
	# no libtool .la files, please
	find debian/tmp -name '*.la' -type f -exec rm --verbose {} \;
