=== debian/watch ===
version=4

https://sf.net/libnova/libnova-(.*)\.tar\.gz
